NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.EmbossSidewall Class Reference

Represents an emboss sidewall object. More...

Inheritance diagram for NXOpen.Features.EmbossSidewall:
NXOpen.TaggedObject NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  SidewallMethod {
  IsoclineTapered, CurveTapered, Ruled, Swept,
  Normal, TwoSection, Offset
}
 Describes the method that can be applied to define the sidewall. More...
 

Public Member Functions

unsafe NXOpen.Features.EmbossTaper AddNewTaper ()
 Create a new single NXOpen.Features.EmbossTaper object and appends to the sidewall taper list. More...
 
unsafe
NXOpen.Features.EmbossTaper[] 
GetTapers ()
 The sidewall tapers More...
 
unsafe void RemoveTaper (int index)
 Sidewall got a list of EmbossTaper objects. More...
 
unsafe void SetAngle (string angle)
 Set the sidewall defaults taper angle More...
 
unsafe void SetNewAngle (double angle)
 Set a new taper angle More...
 
unsafe void SetTapers (NXOpen.Features.EmbossTaper[] tapers)
 The sidewall tapers More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression Angle [get]
 Returns the sidewall defaults taper angle More...
 
unsafe NXOpen.Direction Direction [get, set]
 Returns or sets the draw direction for sidewall More...
 
unsafe NXOpen.Features.EmbossJoggle Joggle [get, set]
 Returns or sets the sidewall joggle More...
 
unsafe
NXOpen.Features.EmbossSidewall.SidewallMethod 
SidewallOption [get, set]
 Returns or sets the method to create sidewall More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents an emboss sidewall object.

Emboss sidewall object describes how to create sidewall geometry.

This class provides methods to set and get the various emboss sidewall sub components.

The following are default values and options:

Sidewall Method Option Features.EmbossSidewall.SidewallMethod.IsoclineTapered

Sidewall Direction Direction of sidewall

Sidewall Default Angle 5.0 degrees

Sidewall Joggle EmbossJoggle object

Sidewall Taper (array) EmbossTaper object

Created in NX4.0.0

Member Enumeration Documentation

Describes the method that can be applied to define the sidewall.

Enumerator
IsoclineTapered 

Indicates method to calculate tapered sidewall faces with reference to the taper direction and the taper reference curve tangents.

Default creation.

CurveTapered 

Indicates method to calculate tapered sidewall faces with reference to the taper direction.

The direction is perpendicular to the taper direction, and the reference edge's curve tangent.

Ruled 

Indicates method to create sidewalls that are ruled along the normals of the faces in the supplied profile.

Swept 

Indicates method to create sidewalls that are swept.

Normal 

Indicates method to calculate tapered sidewall faces with reference to the taper direction and the normal of the taper faces' original surfaces.

TwoSection 

(Not supported in NX4.)

Offset 

(Not supported in NX4.)

Member Function Documentation

unsafe NXOpen.Features.EmbossTaper NXOpen.Features.EmbossSidewall.AddNewTaper ( )
inline

Create a new single NXOpen.Features.EmbossTaper object and appends to the sidewall taper list.

Created in NX4.0.0

License requirements: None.

Returns
New EmbossTaper object
unsafe NXOpen.Features.EmbossTaper [] NXOpen.Features.EmbossSidewall.GetTapers ( )
inline

The sidewall tapers

Created in NX4.0.0

License requirements: None.

Returns
Array of EmbossTaper objects. There may be many EmbossTaper objects for multiple values of angle.
unsafe void NXOpen.Features.EmbossSidewall.RemoveTaper ( int  index)
inline

Sidewall got a list of EmbossTaper objects.

Removes a NXOpen.Features.EmbossTaper by its index.

Created in NX4.0.0

License requirements: None.

Parameters
indexIndex of EmbossTaper object which to be deleted
unsafe void NXOpen.Features.EmbossSidewall.SetAngle ( string  angle)
inline

Set the sidewall defaults taper angle

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
angleDefault taper angle
unsafe void NXOpen.Features.EmbossSidewall.SetNewAngle ( double  angle)
inline

Set a new taper angle

Created in NX4.0.0

License requirements: None.

Parameters
angleSet a new taper angle
unsafe void NXOpen.Features.EmbossSidewall.SetTapers ( NXOpen.Features.EmbossTaper[]  tapers)
inline

The sidewall tapers

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
tapersArray of EmbossTaper objects. There may be many EmbossTaper objects for multiple values of angle.

Property Documentation

unsafe NXOpen.Expression NXOpen.Features.EmbossSidewall.Angle
get

Returns the sidewall defaults taper angle

Created in NX4.0.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Features.EmbossSidewall.Direction
getset

Returns or sets the draw direction for sidewall

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.EmbossJoggle NXOpen.Features.EmbossSidewall.Joggle
getset

Returns or sets the sidewall joggle

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.EmbossSidewall.SidewallMethod NXOpen.Features.EmbossSidewall.SidewallOption
getset

Returns or sets the method to create sidewall

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.